Bzip2 Functions
LZF
Bzip2 Functions
PHP Manual

# bzwrite

(PHP 4 >= 4.3.3, PHP 5, PECL bz2:1.0)

bzwrite — Binary safe bzip2 file write

### Description

int bzwrite ( resource `$bz` , string `$data` [, int `$length` ] )

bzwrite() writes a string into the given bzip2 file stream.

### Parameters

`bz`

  The file pointer. It must be valid and must point to a file successfully opened by bzopen().

`data`

  The written data.

`length`

  If supplied, writing will stop after `length` (uncompressed) bytes have been written or the end of `data` is reached, whichever comes first.

### Return Values

Returns the number of bytes written, or `FALSE` on error.

### Examples

Example #1 bzwrite() example

`<?php
$str = "uncompressed data";
$bz = bzopen("/tmp/foo.bz2", "w");
bzwrite($bz, $str, strlen($str));
bzclose($bz);
?>`

### See Also

- bzread()
- bzopen()

Bzip2 Functions
LZF
Bzip2 Functions
PHP Manual